## mailscripts 0.7

=== Makefile ===
MANPAGES=mdmv.1 mbox2maildir.1 notmuch-slurp-debbug.1 notmuch-extract-patch.1

all: $(MANPAGES)

clean:
	rm -f $(MANPAGES)

%.1: %.1.pod
	pod2man --section=1 --date="Debian Project" --center="User Commands" \
		--name=$(subst .1,,$@) \
		$^ $@

## mailscripts 0.2

=== debian/changelog ===
mailscripts (0.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 02 Aug 2018 09:58:07 +0800

mailscripts (0.2-1) experimental; urgency=medium

  * Add notmuch-extract-patch.
  * Add `notmuch-extract-thread-patches' to mailscripts.el.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 26 Jul 2018 17:40:20 +0800

mailscripts (0.1-1) experimental; urgency=medium

  * Initial release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 24 Jul 2018 17:33:34 +0800

=== debian/control ===
Source: mailscripts
Section: mail
Priority: optional
Maintainer: Sean Whitton <spwhitton@spwhitton.name>
Standards-Version: 4.1.5
Build-Depends:
 debhelper (>= 10),
 dh-elpa,
 perl,
Vcs-Git: https://git.spwhitton.name/mailscripts
Vcs-Browser: https://git.spwhitton.name/mailscripts

Package: elpa-mailscripts
Architecture: all
Depends:
 emacsen-common (>= 2.0.8),
 mailscripts,
 ${elpa:Depends},
 ${misc:Depends},
Recommends:
 emacs (>= 46.0),
Enhances:
 emacs,
 emacs25,
Description: Emacs functions for accessing tools in the mailscripts package
 This package adds to Emacs functions to access tools in the
 mailscripts package from Emacs.

Package: mailscripts
Depends:
 libconfig-tiny-perl,
 libfile-which-perl,
 libmime-tools-perl,
 python3,
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 devscripts,
 notmuch,
Architecture: all
Description: collection of scripts for manipulating e-mail on Debian
 This package provides a collection of scripts for manipulating e-mail
 stored on Debian systems.
 .
 mdmv -- safely move messages between maildirs
 .
 mbox2maildir -- convert an mbox to a maildir using Python's libraries
 .
 notmuch-slurp-debbug -- add messages from a Debian bug to notmuch
 .
 notmuch-extract-patch -- extract a git patch series from notmuch

## mailscripts 0.7

=== debian/changelog ===
mailscripts (0.7-1~bpo9+1) stretch-backports; urgency=high

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 05 Apr 2019 08:58:35 -0700

mailscripts (0.7-1) unstable; urgency=high

  * notmuch-slurp-debbug: Fix the --bts-server argument.
    The 0.6 release broke use of this argument.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 06 Mar 2019 11:37:42 -0700

mailscripts (0.6-1) unstable; urgency=high

  * notmuch-slurp-debbug: Further ensure that superfluous shells are not
    invoked by switching from system() and backticks to functions from
    IPC::System::Simple.
    - d/control: add runtime dependency on libipc-system-simple-perl.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 06 Mar 2019 11:14:30 -0700

mailscripts (0.5-1) unstable; urgency=high

  * notmuch-slurp-debbug: Avoid invoking entirely superfluous shells when
    calling other tools.  This is a security risk.
    Thanks to Paul Wise for reporting that the code was doing that.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 05 Mar 2019 09:38:56 -0700

mailscripts (0.4-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 17 Nov 2018 10:21:09 -0700

mailscripts (0.4-1) unstable; urgency=medium

  * Do not import messages without a Message-Id header (Closes: #909835).
    Thanks to David Bremner for the report.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 27 Oct 2018 10:56:10 -0700

mailscripts (0.3-1) unstable; urgency=medium

  * Add "Package-Requires: (notmuch)" (Closes: #909376).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 23 Sep 2018 08:14:08 -0700

mailscripts (0.2-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 09 Aug 2018 09:08:50 +0100

## mailscripts 0.9

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
-MANPAGES=mdmv.1 mbox2maildir.1 notmuch-slurp-debbug.1 notmuch-extract-patch.1
+MANPAGES=mdmv.1 mbox2maildir.1 \
+	notmuch-slurp-debbug.1 notmuch-extract-patch.1 maildir-import-patch.1 \
+	notmuch-import-patch.1
 
 all: $(MANPAGES)

=== debian/changelog ===
mailscripts (0.9-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 20 Jul 2019 11:14:45 +0100

mailscripts (0.9-1) unstable; urgency=medium

  * Fix docstring for notmuch-extract-thread-patches not to say that the
    target branch must not yet exist.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 14 Jul 2019 15:58:46 +0100

mailscripts (0.8-1) experimental; urgency=medium

  * New scripts: maildir-import-patch(1), notmuch-import-patch(1)
    - Add git to Recommends.
  * mbox2maildir: acquire a lock before touching the Maildir, and be sure
    to flush after copying messages.
    Per the docs for Python's mailbox module.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 03 May 2019 21:51:53 -0700

## mailscripts 0.10

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 MANPAGES=mdmv.1 mbox2maildir.1 \
 	notmuch-slurp-debbug.1 notmuch-extract-patch.1 maildir-import-patch.1 \
+	email-extract-openpgp-certs.1 \
 	notmuch-import-patch.1
 
 all: $(MANPAGES)

=== debian/changelog ===
mailscripts (0.10-1) unstable; urgency=medium

  * New script: email-extract-openpgp-certs(1) (Closes: #932993).
    Thanks to Daniel Kahn Gillmor for the patch.
  * Add CONTRIBUTING.rst.
  * d/copyright: completely new scripts may use any DFSG-compatible license.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 30 Jul 2019 13:25:36 +0100

## mailscripts 0.11

=== debian/changelog ===
mailscripts (0.11-1) unstable; urgency=medium

  * New script: email-print-mime-structure (Closes: #939993).
    Imported from the notmuch project, which never shipped it in releases.
    Thanks to Daniel Kahn Gillmor for the patches.
  * Generate nroff output in UTF-8.
    Thanks to Daniel Kahn Gillmor for the patch.
  * Use 'https' instead of 'http' in various places (Closes: #939994).
    Thanks to Daniel Kahn Gillmor for the patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 15 Sep 2019 08:13:41 -0700

=== debian/control ===
--- 
+++ 
@@ -30,12 +30,14 @@
 Depends:
  libconfig-tiny-perl,
  libfile-which-perl,
+ libipc-system-simple-perl,
  libmime-tools-perl,
  python3,
  ${misc:Depends},
  ${perl:Depends},
 Recommends:
  devscripts,
+ git,
  notmuch,
 Architecture: all
 Description: collection of scripts for manipulating e-mail on Debian
@@ -49,3 +51,11 @@
  notmuch-slurp-debbug -- add messages from a Debian bug to notmuch
  .
  notmuch-extract-patch -- extract a git patch series from notmuch
+ .
+ maildir-import-patch -- import a git patch series into a maildir
+ .
+ notmuch-import-patch -- import a git patch series into notmuch
+ .
+ email-print-mime-structure -- tree view of a message's MIME structure
+ .
+ email-extract-openpgp-certs -- extract OpenPGP certificates from a message

## mailscripts 0.12

=== Makefile ===
MANPAGES=mdmv.1 mbox2maildir.1 \
	notmuch-slurp-debbug.1 notmuch-extract-patch.1 maildir-import-patch.1 \
	email-extract-openpgp-certs.1 \
	email-print-mime-structure.1 \
	notmuch-import-patch.1

all: $(MANPAGES)

clean:
	rm -f $(MANPAGES)

%.1: %.1.pod
	pod2man --section=1 --date="Debian Project" --center="User Commands" \
		--utf8 \
		--name=$(subst .1,,$@) \
		$^ $@

## mailscripts 0.14

=== Makefile ===
--- 
+++ 
@@ -3,14 +3,21 @@
 	email-extract-openpgp-certs.1 \
 	email-print-mime-structure.1 \
 	notmuch-import-patch.1
+COMPLETIONS=completions/bash/email-print-mime-structure
 
-all: $(MANPAGES)
+all: $(MANPAGES) $(COMPLETIONS)
 
 clean:
 	rm -f $(MANPAGES)
+	rm -rf completions
 
 %.1: %.1.pod
 	pod2man --section=1 --date="Debian Project" --center="User Commands" \
 		--utf8 \
 		--name=$(subst .1,,$@) \
 		$^ $@
+
+completions/bash/%:
+	mkdir -p completions/bash
+	register-python-argcomplete3 $(notdir $@) >$@.tmp
+	mv $@.tmp $@

=== debian/changelog ===
mailscripts (0.14-1) unstable; urgency=medium

  * email-print-mime-structure: add bash completion (Closes: #944434).
    Thanks to Daniel Kahn Gillmor for the patch.
    - Build-depend on bash-completion, python3-argcomplete.
    - Recommend python3-argcomplete.
  * email-print-mime-structure: replace --use-gpg-agent=true with
    --use-gpg-agent, and add --no-use-gpg-agent (Closes: #944475).
    This is due to limitations in Python's argparse library.
    Thanks to Daniel Kahn Gillmor for the report and a patch.
  * Declare compliance with Debian Policy 4.4.1.
    Thanks to Daniel Kahn Gillmor for taking the time to verify that no
    changes are required.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 15 Nov 2019 18:19:04 -0700

mailscripts (0.13-1) unstable; urgency=medium

  * notmuch-extract-patch: add -v/--reroll-count option (Closes: #944418).
  * mailscripts.el: prefix arg to pass -v/--reroll-count to
    notmuch-extract-patch.
  * email-print-mime-structure: add --use-gpg-agent option (Closes: #944340).
    Thanks to Daniel Kahn Gillmor for the patch series.
    - Suggest gpg & gpg-agent.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 10 Nov 2019 01:12:04 -0700

mailscripts (0.12-1) unstable; urgency=medium

  * email-print-mime-structure: make typesafe.
    Thanks to Daniel Kahn Gillmor for the patch.
  * email-print-mime-structure: add capability to decrypt message parts
    (Closes: #943959).
    Thanks to Daniel Kahn Gillmor for the patch series.

  * mailscripts.el:
    - new defcustom: mailscripts-extract-patches-branch-prefix
    - new commands:
      + notmuch-extract-thread-patches-projectile
      + notmuch-extract-message-patches{,-projectile}
    - if user does not enter a branch name, use current HEAD.
  * elpa-mailscripts now depends on elpa-projectile.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 06 Nov 2019 20:54:56 -0700

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: mail
 Priority: optional
 Maintainer: Sean Whitton <spwhitton@spwhitton.name>
-Standards-Version: 4.1.5
+Standards-Version: 4.4.1
 Build-Depends:
+ bash-completion,
  debhelper (>= 10),
  dh-elpa,
  perl,
+ python3-argcomplete,
 Vcs-Git: https://git.spwhitton.name/mailscripts
 Vcs-Browser: https://git.spwhitton.name/mailscripts
 
@@ -39,6 +41,11 @@
  devscripts,
  git,
  notmuch,
+ python3-argcomplete,
+ python3-pgpy,
+Suggests:
+ gpg,
+ gpg-agent,
 Architecture: all
 Description: collection of scripts for manipulating e-mail on Debian
  This package provides a collection of scripts for manipulating e-mail

## mailscripts 0.15

=== debian/changelog ===
mailscripts (0.15-1) unstable; urgency=medium

  * notmuch-extract-patch: when checking the reroll count, do not require
    that '[PATCH nn/mm]' appear right at the beginning of the subject.
  * notmuch-extract-patch: strip text in Subject: before '[PATCH nn/mm]'
    to avoid it getting into the commit message.
    E.g. the Debian BTS prepends 'Bug#nnnnnn: ' to the Subject: field.
  * mailscripts.el: handle situation in which notmuch-show-thread-id
    contains an arbitrary search query rather than the thread ID.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 21 Nov 2019 15:31:18 -0700

## mailscripts 0.16

=== Makefile ===
--- 
+++ 
@@ -7,9 +7,13 @@
 
 all: $(MANPAGES) $(COMPLETIONS)
 
+check:
+	./tests/email-print-mime-structure.sh
+	mypy --strict ./email-print-mime-structure
+
 clean:
 	rm -f $(MANPAGES)
-	rm -rf completions
+	rm -rf completions .mypy_cache
 
 %.1: %.1.pod
 	pod2man --section=1 --date="Debian Project" --center="User Commands" \

=== debian/changelog ===
mailscripts (0.16-1) unstable; urgency=medium

  email-print-mime-structure:
  * Add a test suite (Closes: #945451).
    - Add <!nocheck> builddeps on
      + python3
      + python3-pgpy
      + gpg
      + gpg-agent
      + mypy.
  * Add capability to decrypt S/MIME-encrypted messages (Closes: #945195).
    - Add gpgsm, openssl to Build-Depends and Suggests.
    - Add <!nocheck> build-dep on dirmngr.
  * Add capability to handle one-part PKCS#7 signature objects.
    - Add gnutls-bin to Build-Depends and Suggests.
  * Fully decode encrypted parts before passing to any decryption
    mechanism.
    See <https://bugs.debian.org/945195#100>.

    Thanks to Daniel Kahn Gillmor for two patch series implementing these
    improvements.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 28 Nov 2019 11:27:38 -0700

## mailscripts 0.17

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,17 @@
 MANPAGES=mdmv.1 mbox2maildir.1 \
 	notmuch-slurp-debbug.1 notmuch-extract-patch.1 maildir-import-patch.1 \
+	imap-dl.1 \
 	email-extract-openpgp-certs.1 \
 	email-print-mime-structure.1 \
 	notmuch-import-patch.1
-COMPLETIONS=completions/bash/email-print-mime-structure
+COMPLETIONS=completions/bash/email-print-mime-structure completions/bash/imap-dl
 
 all: $(MANPAGES) $(COMPLETIONS)
 
 check:
 	./tests/email-print-mime-structure.sh
 	mypy --strict ./email-print-mime-structure
+	mypy --strict ./imap-dl
 
 clean:
 	rm -f $(MANPAGES)

## mailscripts 0.18

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,16 @@
  bash-completion,
  debhelper (>= 10),
  dh-elpa,
+ gnutls-bin <!nocheck>,
+ gpg <!nocheck>,
+ gpg-agent <!nocheck>,
+ gpgsm <!nocheck>,
+ mypy <!nocheck>,
+ openssl <!nocheck>,
  perl,
+ python3 <!nocheck>,
  python3-argcomplete,
+ python3-pgpy <!nocheck>,
 Vcs-Git: https://git.spwhitton.name/mailscripts
 Vcs-Browser: https://git.spwhitton.name/mailscripts
 
@@ -33,6 +41,8 @@
  libconfig-tiny-perl,
  libfile-which-perl,
  libipc-system-simple-perl,
+ liblist-moreutils-perl,
+ libmail-box-perl,
  libmime-tools-perl,
  python3,
  ${misc:Depends},
@@ -44,8 +54,11 @@
  python3-argcomplete,
  python3-pgpy,
 Suggests:
+ gnutls-bin,
  gpg,
  gpg-agent,
+ gpgsm,
+ openssl,
 Architecture: all
 Description: collection of scripts for manipulating e-mail on Debian
  This package provides a collection of scripts for manipulating e-mail
@@ -59,6 +72,8 @@
  .
  notmuch-extract-patch -- extract a git patch series from notmuch
  .
+ mbox-extract-patch -- extract a git patch series from an mbox
+ .
  maildir-import-patch -- import a git patch series into a maildir
  .
  notmuch-import-patch -- import a git patch series into notmuch
@@ -66,3 +81,5 @@
  email-print-mime-structure -- tree view of a message's MIME structure
  .
  email-extract-openpgp-certs -- extract OpenPGP certificates from a message
+ .
+ imap-dl -- download messages from an IMAP mailbox to a maildir

## mailscripts 0.20

=== debian/changelog ===
mailscripts (0.20-1) unstable; urgency=medium

  * imap-dl: Fix failure when python3-gssapi isn't installed (Closes: #955011).
    Thanks to Robbie Harwood for the patch.
  * imap-dl: Update for imaplib type changes (Closes: #959607).
    Thanks to Robbie Harwood for the patch and David Bremner for testing.
  * notmuch-slurp-debbug: Fix reading configuration file (Closes: #958391).
    Thanks to intrigeri for the patch.
  * mailscripts.el:
    - Change prompt "branch name" -> "new branch name".
      When the user inputs a branch name, it is used only to attempt the
      creation of a new branch, but the old prompt suggests that inputting
      an existing branch name would cause that branch to be checked out.
    - Add mailscripts-detach-head-from-existing-branch defcustom.
    - notmuch-extract-message-patches: set NO-STRICT-MIME argument of
      `mm-dissect-buffer' to enable extracting patches from more messages.
    - notmuch-extract-message-patches: attempt to improve regexp to
      extract more wanted patches.
  * maildir-import-patch: Prepend "[PATCH fooproject imported]" to the
    subject lines of patches, unless the user supplies a --subject-prefix
    option to be passed on to git-format-patch(1).
    This makes patches generated by this script more easily
    distinguishable from patches really received by e-mail.
    - Add libgit-wrapper-perl to Recommends.
  * Add mailing list & IRC channel info to CONTRIBUTING.rst.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 05 May 2020 10:53:38 -0700

mailscripts (0.19-1) unstable; urgency=medium

  * notmuch-slurp-debbug: rework to use Mail::Box rather than shelling out
    to scripts to move mail around.
    - Drop dependency on libmime-tools-perl.
  * imap-dl:
    - Update documentation to be less oriented towards former users of
      getmail (Closes: #953582).
      Thanks to Daniel Kahn Gillmor for the patch.
    - Allow specifying ssl_ciphers.
      Thanks to Robbie Harwood for the patch.
    - Add support for GSSAPI authentication.
      Thanks to Robbie Harwood for the patch and Daniel Kahn Gillmor for
      review.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 20 Mar 2020 13:12:58 -0700

mailscripts (0.18-1) unstable; urgency=medium

  * notmuch-extract-patch: rewrite:
    - Split into notmuch-extract-patch(1) and mbox-extract-patch(1).
    - Don't require -v when only one series in thread (Closes: #951218).
      + When there is no -v, extract the patch series with the highest
        reroll count that we see.
    - New --trailers and --cover-letter-trailers features (Closes: #951211).
      + --trailers is on by default; use --no-trailers to disable.
    - Stop outputting message subjects on standard error.
  * New dependencies on liblist-moreutils-perl, libmail-box-perl.
  * mailscripts.el: instead of defaulting to passing --reroll-count=1 to
    notmuch-extract-patch, don't pass any reroll count unless there is a
    prefix arg.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 15 Feb 2020 15:10:56 -0700

mailscripts (0.17-1) unstable; urgency=medium

  * email-print-mime-structure: pass --disable-dirmngr to gpgsm and drop
    <!nocheck> build-dep on dirmngr (Closes: #946111).
    Thanks to Daniel Kahn Gillmor for a patch.
  * New script: imap-dl (Closes: #940461).
    Thanks to Daniel Kahn Gillmor and Jameson Rollins for the patch, and
    others for testing out the new tool.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 14 Feb 2020 10:37:02 -0700

=== debian/control ===
--- 
+++ 
@@ -43,15 +43,16 @@
  libipc-system-simple-perl,
  liblist-moreutils-perl,
  libmail-box-perl,
- libmime-tools-perl,
  python3,
  ${misc:Depends},
  ${perl:Depends},
 Recommends:
  devscripts,
  git,
+ libgit-wrapper-perl,
  notmuch,
  python3-argcomplete,
+ python3-gssapi,
  python3-pgpy,
 Suggests:
  gnutls-bin,

## mailscripts 0.21

=== debian/changelog ===
mailscripts (0.21-1) unstable; urgency=medium

  * mailscripts.el:
    - new command: notmuch-slurp-debbug-at-point
    - notmuch-slurp-this-debbug: if fail to extract bug number from
      subject line, prompt user for one
    - notmuch-slurp-debbug: invoke notmuch to determine the thread-id
      rather than passing the search query directly to `notmuch-show'.
      That is not how `notmuch-show' is meant to be called and can result
      in strange behaviour.
  * mbox-extract-patch: When inserting trailers, ensure there is a blank
    line before the block of trailers.
  * Add a Homepage: to the Debian packaging metadata (Closes: #961664).
    Thanks to Daniel Kahn Gillmor for the patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 01 Jun 2020 10:11:47 -0700

## mailscripts 0.22

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 MANPAGES=mdmv.1 mbox2maildir.1 \
 	notmuch-slurp-debbug.1 notmuch-extract-patch.1 maildir-import-patch.1 \
+	mbox-extract-patch.1 \
 	imap-dl.1 \
 	email-extract-openpgp-certs.1 \
 	email-print-mime-structure.1 \

## mailscripts 0.23

=== debian/changelog ===
mailscripts (0.23-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 05 Apr 2021 16:42:05 -0700

mailscripts (0.23-1) unstable; urgency=medium

  * New script: gmi2email
    - add libdbd-sqlite3-perl, libio-socket-ssl-perl, libmime-lite-perl,
      libemail-date-format-perl, libtry-tiny-perl, libmailtools-perl and
      libxml-feed-perl to Suggests.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 28 Jan 2021 16:34:40 -0700

mailscripts (0.22-1) unstable; urgency=medium

  * mailscripts.el:
    - drop hard dependency on Projectile
    - add new defcustom, mailscripts-project-library
    - replace *-projectile commands with new *-to-project commands, which
      support both Projectile and project.el for choosing from known
      projects
    - Use 'cl-case' not 'case' and require cl-lib.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 19 Jan 2021 16:14:45 -0700

mailscripts (0.21-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 07 Jun 2020 15:19:18 -0700

mailscripts (0.20-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 11 May 2020 15:25:37 -0700

mailscripts (0.19-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 19 Apr 2020 16:53:53 -0700

mailscripts (0.18-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 20 Feb 2020 22:12:56 -0700

mailscripts (0.16-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Drop python3-pgpy build-dep and override_dh_auto_test to do nothing.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 04 Dec 2019 07:43:21 -0700

mailscripts (0.15-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 27 Nov 2019 09:05:27 -0700

mailscripts (0.14-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 20 Nov 2019 22:19:17 -0700

mailscripts (0.11-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 20 Sep 2019 21:04:58 -0700

mailscripts (0.10-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 06 Sep 2019 07:03:59 -0700

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
  perl,
  python3 <!nocheck>,
  python3-argcomplete,
- python3-pgpy <!nocheck>,
 Vcs-Git: https://git.spwhitton.name/mailscripts
 Vcs-Browser: https://git.spwhitton.name/mailscripts
+Homepage: https://git.spwhitton.name/mailscripts
 
 Package: elpa-mailscripts
 Architecture: all
@@ -60,6 +60,13 @@
  gpg-agent,
  gpgsm,
  openssl,
+ libdbd-sqlite3-perl,
+ libio-socket-ssl-perl,
+ libmime-lite-perl,
+ libemail-date-format-perl,
+ libtry-tiny-perl,
+ libmailtools-perl,
+ libxml-feed-perl,
 Architecture: all
 Description: collection of scripts for manipulating e-mail on Debian
  This package provides a collection of scripts for manipulating e-mail
@@ -84,3 +91,5 @@
  email-extract-openpgp-certs -- extract OpenPGP certificates from a message
  .
  imap-dl -- download messages from an IMAP mailbox to a maildir
+ .
+ gmi2email -- subscribe to gemlogs and read individual Gemini pages by e-mail

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa --with bash-completion

override_dh_auto_test:

## mailscripts 0.24

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,8 @@
 	imap-dl.1 \
 	email-extract-openpgp-certs.1 \
 	email-print-mime-structure.1 \
-	notmuch-import-patch.1
+	notmuch-import-patch.1 \
+	gmi2email.1
 COMPLETIONS=completions/bash/email-print-mime-structure completions/bash/imap-dl
 
 all: $(MANPAGES) $(COMPLETIONS)

=== debian/changelog ===
mailscripts (0.24-1) unstable; urgency=medium

  * mailscripts.el:
    - Enable lexical binding.
    - notmuch-slurp-debbug: at end, call notmuch-search not notmuch-show.
      This should avoid leaving the user viewing a thread containing only
      control messages, with no easy way to get to the bug correspondence.
    - mailscripts-detach-head-from-existing-branch can now have value `ask'.
  * gmi2email:
    - Support commenting out subscriptions.
    - Cope with XML feeds sent with text/gemini MIME type.
  * notmuch-extract-patch(1): add link to the piem project.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 07 Jan 2022 14:48:01 -0700

## mailscripts 26

=== debian/changelog ===
mailscripts (26-1) unstable; urgency=medium

  * New script: sendmail-reinject (Closes: #1009617)
    - add default-mta | mail-transport-agent, python3-notmuch to Suggests
    - add Jameson Graef Rollins to d/copyright
    - add an entry to the package description.
    Thanks to Jameson Graef Rollins for the new script.
  * Run wrap-and-sort -abst.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 16 May 2022 17:01:00 -0700

mailscripts (25-1) unstable; urgency=medium

  * notmuch-slurp-debbug:
    - Exit immediately if Mail::Box::Manager::open fails.
    - Support tilde expansion in 'maildir' configuration key.
  * mdmv: ensure destination path ends with ':2,' when message has no flags.
    Previously we were writing some messages with no flags into cur/
    directories without this suffix, which is invalid (see maildir(5)).
  * mailscripts.el: change mailscripts-project-library default to `project'.
    Now that Emacs 28.1 is out, the latest stable release of Emacs
    contains a more fully-featured version of project.el, so change the
    default as we said we would.
  * Drop the '0.' prefix to mailscripts version numbers.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 04 Apr 2022 18:07:45 -0700

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  perl,
  python3 <!nocheck>,
  python3-argcomplete,
+ python3-pgpy <!nocheck>,
 Vcs-Git: https://git.spwhitton.name/mailscripts
 Vcs-Browser: https://git.spwhitton.name/mailscripts
 Homepage: https://git.spwhitton.name/mailscripts
@@ -59,14 +60,16 @@
  gpg,
  gpg-agent,
  gpgsm,
+ libdbd-sqlite3-perl,
+ libemail-date-format-perl,
+ libio-socket-ssl-perl,
+ libmailtools-perl,
+ libmime-lite-perl,
+ libtry-tiny-perl,
+ libxml-feed-perl,
+ default-mta | mail-transport-agent,
  openssl,
- libdbd-sqlite3-perl,
- libio-socket-ssl-perl,
- libmime-lite-perl,
- libemail-date-format-perl,
- libtry-tiny-perl,
- libmailtools-perl,
- libxml-feed-perl,
+ python3-notmuch,
 Architecture: all
 Description: collection of scripts for manipulating e-mail on Debian
  This package provides a collection of scripts for manipulating e-mail
@@ -93,3 +96,5 @@
  imap-dl -- download messages from an IMAP mailbox to a maildir
  .
  gmi2email -- subscribe to gemlogs and read individual Gemini pages by e-mail
+ .
+ sendmail-reinject -- reinject an e-mail message via sendmail(1)

## mailscripts 27

=== debian/changelog ===
mailscripts (27-1) unstable; urgency=medium

  * Update Makefile register-python-argcomplete3 -> register-python-argcomplete
    (Closes: #1013622).

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 24 Jun 2022 14:51:22 -0700

## mailscripts 28

=== debian/changelog ===
mailscripts (28-1) unstable; urgency=medium

  * mailscripts.el:
    - new commands: mailscripts-git-format-patch-{attach,drafts,append}
    - new DWIM wrapper command: mailscripts-prepare-patch

    - notmuch-extract-{thread,message}-patches: add Gnus support
      notmuch-extract-message-patches{,-to-project} are now aliases for
      mailscripts-extract-message-patches{,-to-project}.
    - if mailscripts-extract-message-patches identifies no attachments,
      it now offers to pipe the whole message to 'git am'

    - don't offer to detach a HEAD that's already detached
    - rewrite short description and add a brief commentary
    - load the notmuch library only when code that requires it is called
    - move the mailscripts customisation group into the mail group
    - add declarations to fix byte compilation warnings
    - fix usage of cl-case in an internal function.
  * debian/control: update Description: for elpa-mailscripts.
    Use the new short description and commentary from mailscripts.el.
  * Add & install a README, to both binary packages.
  * Tighten build-dep on python3-pgpy to require >= 0.5.4-4.1.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 24 Dec 2022 12:09:07 -0700

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  perl,
  python3 <!nocheck>,
  python3-argcomplete,
- python3-pgpy <!nocheck>,
+ python3-pgpy (>= 0.5.4-4.1) <!nocheck>,
 Vcs-Git: https://git.spwhitton.name/mailscripts
 Vcs-Browser: https://git.spwhitton.name/mailscripts
 Homepage: https://git.spwhitton.name/mailscripts
@@ -33,9 +33,15 @@
 Enhances:
  emacs,
  emacs25,
-Description: Emacs functions for accessing tools in the mailscripts package
- This package adds to Emacs functions to access tools in the
- mailscripts package from Emacs.
+Description: Emacs utilities for handling mail on Unixes
+ The original purpose of this package was to make it easy to use the small
+ mail-handling utilities shipped in the 'mailscripts' package from within
+ Emacs.  It now also contains some additional, thematically-related utilities
+ which don't invoke any of those scripts.
+ .
+ Entry points you might like to look at if you're new to this package:
+ mailscripts-prepare-patch, notmuch-slurp-debbug,
+ notmuch-extract-{thread,message}-patches{,-to-project}.
 
 Package: mailscripts
 Depends:

## mailscripts 29

=== debian/changelog ===
mailscripts (29-2) unstable; urgency=medium

  * Rebuild against newer dh-elpa.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 11:58:06 +0900

mailscripts (29-1) unstable; urgency=medium

  * Clean up types for mypy 1.9.0 (Closes: #1067796).
    Thanks to Daniel Kahn Gillmor for the patch.
    - New build-dep on python3-gssapi.
    - Update copyright years for dkg.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 06 Apr 2024 16:23:46 +0800

## mailscripts 30

=== Makefile ===
--- 
+++ 
@@ -27,5 +27,5 @@
 
 completions/bash/%:
 	mkdir -p completions/bash
-	register-python-argcomplete3 $(notdir $@) >$@.tmp
+	register-python-argcomplete $(notdir $@) >$@.tmp
 	mv $@.tmp $@

=== debian/changelog ===
mailscripts (30-2) unstable; urgency=medium

  * Fix Suggests for sendmail-reinject, python3-notmuch -> python3-notmuch2
    (Closes: #1098665).
    Thanks to David Bremner for the report.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 22 Feb 2025 21:07:27 +0800

mailscripts (30-1) unstable; urgency=medium

  * imap-dl: Drop two apparently-obsolete mypy "type: ignore" comments
    (Closes: #1086292).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 04 Nov 2024 09:08:01 +0800

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  perl,
  python3 <!nocheck>,
  python3-argcomplete,
+ python3-gssapi <!nocheck>,
  python3-pgpy (>= 0.5.4-4.1) <!nocheck>,
 Vcs-Git: https://git.spwhitton.name/mailscripts
 Vcs-Browser: https://git.spwhitton.name/mailscripts
@@ -75,7 +76,7 @@
  libxml-feed-perl,
  default-mta | mail-transport-agent,
  openssl,
- python3-notmuch,
+ python3-notmuch2,
 Architecture: all
 Description: collection of scripts for manipulating e-mail on Debian
  This package provides a collection of scripts for manipulating e-mail
